summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2018-08-18 18:23:11 -0700
committerZac Medico <zmedico@gentoo.org>2018-08-18 23:37:59 -0700
commitd0ae10486b917df0d7443e11ba6ddf012f37b816 (patch)
tree94cb0e7762688c361861161ff7d7c4c70e2f419c /dev-go/go-crypto
parentdev-go/go-sys: version bump to 0_pre20180816 (diff)
downloadgentoo-d0ae10486b917df0d7443e11ba6ddf012f37b816.tar.gz
gentoo-d0ae10486b917df0d7443e11ba6ddf012f37b816.tar.bz2
gentoo-d0ae10486b917df0d7443e11ba6ddf012f37b816.zip
dev-go/go-crypto: version bump to 0_pre20180816
Package-Manager: Portage-2.3.47, Repoman-2.3.10
Diffstat (limited to 'dev-go/go-crypto')
-rw-r--r--dev-go/go-crypto/Manifest1
-rw-r--r--dev-go/go-crypto/go-crypto-0_pre20180816.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-go/go-crypto/Manifest b/dev-go/go-crypto/Manifest
index ed5f3071a0a..defc1d2c4e0 100644
--- a/dev-go/go-crypto/Manifest
+++ b/dev-go/go-crypto/Manifest
@@ -1,2 +1,3 @@
DIST go-crypto-0_pre20150808.tar.gz 876947 BLAKE2B c6da903ec7b5308114f2e2a364d6a2936dc24be4f8f274116c811740f712f13b2926a6f84b6160c450d921dbbeeb7ce48371e593cfa4d8abf80308f3cf07ac26 SHA512 86826102ff7242259d79a31e543a03192d6b68a06635b46ebac349111bb8451605df1ad9b249c08d75895c38fb4ebbbfc716d40c8c981485395164e87db5a519
DIST go-crypto-0_pre20160126.tar.gz 902001 BLAKE2B 54d38a9aea69e01485417cbf8a900135730dca4bc79c9d5d1187eadb11a8dfca9ef6e72056c4ed4ad4a34b172379d94e6beb82ece9031411b8aa12af85200fb2 SHA512 168129ab9581b7348fb3285e045d99a0a837ac7bd65bf9f5e7a220fffbb9e2abf76da5f521c66eea7179eba0ad8da68d6f41cd9624ea40a9da25a18838427846
+DIST go-crypto-0_pre20180816.tar.gz 1637516 BLAKE2B 800787412e1e52f70bc3df5b1b638e86ed2c66de86522786d7e3d8959f18d02426270d1f577ebaa8077d7d98c84ca7a358bed951c862a44b9293de8edebb17b4 SHA512 d2b730ba75b49b96f35969802b7321cd2efc89dcd2e8c0b8eaca545cb18287b34ad1c9ecbd07c6b4ace8708575d4586fbe1139d032a7038cc7221ad010d08074
diff --git a/dev-go/go-crypto/go-crypto-0_pre20180816.ebuild b/dev-go/go-crypto/go-crypto-0_pre20180816.ebuild
new file mode 100644
index 00000000000..180bb7b462a
--- /dev/null
+++ b/dev-go/go-crypto/go-crypto-0_pre20180816.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+EGO_PN=golang.org/x/crypto/...
+EGO_SRC=golang.org/x/crypto
+
+if [[ ${PV} = *9999* ]]; then
+ inherit golang-vcs
+else
+ KEYWORDS="~amd64 ~arm ~x86"
+ EGIT_COMMIT="aabede6cba87e37f413b3e60ebfc214f8eeca1b0"
+ SRC_URI="https://github.com/golang/crypto/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Go supplementary cryptography libraries"
+HOMEPAGE="https://godoc.org/golang.org/x/crypto"
+LICENSE="BSD"
+SLOT="0/${PVR}"
+IUSE=""
+DEPEND=">=dev-go/go-sys-0_pre20180816:="
+RDEPEND=""
+
+src_prepare() {
+ default
+ sed -e 's:TestLockOpenSSHAgent(:_\0:' \
+ -i src/${EGO_SRC}/ssh/agent/client_test.go || die
+}
+
+src_compile() {
+ # Exclude $(get_golibdir_gopath) from GOPATH, for bug 577908 which may
+ # or may not manifest, depending on what libraries are installed.
+ mkdir -p "${T}/golibdir/src/golang.org/x" || die
+ ln -s "$(get_golibdir_gopath)/src/golang.org/x/sys" "${T}/golibdir/src/golang.org/x/sys" || die
+ GOPATH="${S}:${T}/golibdir" \
+ go install -v -work -x ${EGO_BUILD_FLAGS} "${EGO_PN}" || die
+}
+
+src_test() {
+ # Exclude $(get_golibdir_gopath) from GOPATH
+ GOPATH="${S}:${T}/golibdir" \
+ go test -v -work -x "${EGO_PN}" || die
+}